Bug 126822 - Section 4.1.22. /etc/sysconfig/network contains obsolete info
Section 4.1.22. /etc/sysconfig/network contains obsolete info
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: rhel-rg (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Andrius Benokraitis
John Ha
Depends On:
  Show dependency treegraph
Reported: 2004-06-27 20:09 EDT by Ian Laurie
Modified: 2015-07-14 00:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-06-28 13:58:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ian Laurie 2004-06-27 20:09:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.6)

Description of problem:
Documentation says the /etc/sysconfig/network file contains the
GATEWAY and GATEWAYDEV directives.  Not on my system.  Seems GATEWAY
has been moved to the individual ifcfg-eth<X> files, thus obsoleting
the GATEWAYDEV directive ?

Section "8.2.1. Ethernet Interfaces" documenting the ifcfg-eth<X>
files fails to mention the GATEWAY directive.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. View the Reference Guide
2. View 4.1.22
3. View 8.2.1

Additional info:
Comment 1 Andrius Benokraitis 2004-06-28 11:22:30 EDT
Talking with initscripts developer owner, as the
/usr/share/doc/initscrips-ver/sysconfig.txt file is also incorrect.
Comment 2 Bill Nottingham 2004-06-28 12:50:54 EDT
Yeah, it's a little out of date. Both approaches should actually work.
Comment 3 Andrius Benokraitis 2004-06-28 13:27:09 EDT
Will add GATEWAY to 8.2.1 and subtract GATEWAY and GATEWAYDEV from
4.1.22 per bug reporter for RHEL4-rg documentation. Closing bug as
NEXTRELEASE, as the information isn't incorrect, just needs
clarification for RHEL4.

Note You need to log in before you can comment on or make changes to this bug.